LemmatizerFineGrainedReportListener (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.cmdline.lemmatizer

## Class LemmatizerFineGrainedReportListener

- java.lang.Object
- - opennlp.tools.cmdline.FineGrainedReportListener
  - - opennlp.tools.cmdline.lemmatizer.LemmatizerFineGrainedReportListener

- All Implemented Interfaces:
    LemmatizerEvaluationMonitor, EvaluationMonitor<LemmaSample>

      public class LemmatizerFineGrainedReportListener
      extends opennlp.tools.cmdline.FineGrainedReportListener
      implements LemmatizerEvaluationMonitor

  Generates a detailed report for the Lemmatizer.

  It is possible to use it from an API and access the statistics using the provided getters.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class opennlp.tools.cmdline.FineGrainedReportListener

      `opennlp.tools.cmdline.FineGrainedReportListener.ConfusionMatrixLine, opennlp.tools.cmdline.FineGrainedReportListener.Counter, opennlp.tools.cmdline.FineGrainedReportListener.GroupedLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.GroupedMatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.MatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.SimpleLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.Stats`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LemmatizerFineGrainedReportListener()` Creates a listener that will print to `System.err`
    `LemmatizerFineGrainedReportListener(OutputStream outputStream)` Creates a listener that prints to a given `OutputStream`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `correctlyClassified(LemmaSample reference, LemmaSample prediction)`
    `void` | `missclassified(LemmaSample reference, LemmaSample prediction)`
    `void` | `writeReport()`

    - ### Methods inherited from class opennlp.tools.cmdline.FineGrainedReportListener

      `getLabelComparator, getMatrixLabelComparator`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LemmatizerFineGrainedReportListener

          public LemmatizerFineGrainedReportListener()

      Creates a listener that will print to `System.err`

    - #### LemmatizerFineGrainedReportListener

          public LemmatizerFineGrainedReportListener(OutputStream outputStream)

      Creates a listener that prints to a given `OutputStream`

  - ### Method Detail

    - #### missclassified

          public void missclassified(LemmaSample reference,
                                     LemmaSample prediction)

      Specified by:
        `missclassified` in interface `EvaluationMonitor<LemmaSample>`

    - #### correctlyClassified

          public void correctlyClassified(LemmaSample reference,
                                          LemmaSample prediction)

      Specified by:
        `correctlyClassified` in interface `EvaluationMonitor<LemmaSample>`

    - #### writeReport

          public void writeReport()

      Specified by:
        `writeReport` in class `opennlp.tools.cmdline.FineGrainedReportListener`

Copyright © 2026 The Apache Software Foundation. All rights reserved.